Get a job
curl --request GET \
--url https://api.getdialed.ai/flows/jobs/{job_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getdialed.ai/flows/jobs/{job_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getdialed.ai/flows/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completed_at": "2026-07-09T18:00:05Z",
"created_at": "2026-07-09T17:59:59Z",
"definition_id": "def_a1b2c3d4",
"id": "job_55667788",
"input_data": {
"list_name": "callbacks"
},
"metadata": {
"campaign": "spring-2026"
},
"org_id": "org_a1b2c3d4",
"record_count": 2,
"records": [
{
"phone": "+15555550100"
},
{
"phone": "+15555550101"
}
],
"source": "api",
"started_at": "2026-07-09T18:00:00Z",
"status": "completed",
"updated_at": "2026-07-09T18:00:05Z"
}{
"detail": "Authentication required"
}{
"detail": "Job not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Rate limit exceeded: 100 per 1 minute"
}jobs
Get a job
Fetch a single job by id. Cross-tenant access returns 404.
GET
/
jobs
/
{job_id}
Get a job
Authorizations
APIKeyHeaderHTTPBearer
Path Parameters
Response
Successful Response
Available options:
pending, scheduled, running, completed, partially_failed, failed, cancelled ⌘I